/* Automatically generated nanopb constant definitions */
/* Generated by nanopb-0.3.9.3 at Mon May 13 01:04:55 2019. */

#include "messages.pb.h"

/* @@protoc_insertion_point(includes) */
#if PB_PROTO_HEADER_VERSION != 30
#error Regenerate this file with the current version of nanopb generator.
#endif



const pb_field_t device_messaging_device_DeviceInboundMessage_fields[2] = {
    PB_ONEOF_FIELD(version,   1, MESSAGE , ONEOF, STATIC  , FIRST, device_messaging_device_DeviceInboundMessage, v1, v1, &device_messaging_device_v1_InboundV1_fields),
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_DeviceOutboundMessage_fields[2] = {
    PB_ONEOF_FIELD(version,   1, MESSAGE , ONEOF, STATIC  , FIRST, device_messaging_device_DeviceOutboundMessage, v1, v1, &device_messaging_device_v1_OutboundV1_fields),
    PB_LAST_FIELD
};


/* Check that field information fits in pb_field_t */
#if !defined(PB_FIELD_32BIT)
/* If you get an error here, it means that you need to define PB_FIELD_32BIT
 * compile-time option. You can do that in pb.h or on compiler command line.
 * 
 * The reason you need to do this is that some of your messages contain tag
 * numbers or field sizes that are larger than what can fit in 8 or 16 bit
 * field descriptors.
 */
PB_STATIC_ASSERT((pb_membersize(device_messaging_device_DeviceInboundMessage, version.v1) < 65536 && pb_membersize(device_messaging_device_DeviceOutboundMessage, version.v1) < 65536), YOU_MUST_DEFINE_PB_FIELD_32BIT_FOR_MESSAGES_device_messaging_device_DeviceInboundMessage_device_messaging_device_DeviceOutboundMessage)
#endif

#if !defined(PB_FIELD_16BIT) && !defined(PB_FIELD_32BIT)
/* If you get an error here, it means that you need to define PB_FIELD_16BIT
 * compile-time option. You can do that in pb.h or on compiler command line.
 * 
 * The reason you need to do this is that some of your messages contain tag
 * numbers or field sizes that are larger than what can fit in the default
 * 8 bit descriptors.
 */
PB_STATIC_ASSERT((pb_membersize(device_messaging_device_DeviceInboundMessage, version.v1) < 256 && pb_membersize(device_messaging_device_DeviceOutboundMessage, version.v1) < 256), YOU_MUST_DEFINE_PB_FIELD_16BIT_FOR_MESSAGES_device_messaging_device_DeviceInboundMessage_device_messaging_device_DeviceOutboundMessage)
#endif


/* @@protoc_insertion_point(eof) */
